Bug 249968 - timidity++: $RPM_OPT_FLAGS not used, useless debuginfo package
timidity++: $RPM_OPT_FLAGS not used, useless debuginfo package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 13:51 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 15:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, fix -debuginfo (747 bytes, patch)
2007-07-28 13:51 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-07-28 13:51:25 EDT
timidity++ is built without $RPM_OPT_FLAGS, and its debuginfo package is
practically useless.

Fix attached, more info: http://fedoraproject.org/wiki/Packaging/Debuginfo

The fix also moves autoconf to %prep, IMO it's a more suitable place for it than
%build, and configures with --disable-dependency-tracking for cleaner build
output and possible small build speedup.
Comment 1 Ville Skyttä 2007-07-28 13:51:25 EDT
Created attachment 160170 [details]
Use $RPM_OPT_FLAGS, fix -debuginfo
Comment 2 Jindrich Novy 2007-10-12 10:32:35 EDT
Fixed, thanks.
Comment 3 Ville Skyttä 2007-10-12 10:52:28 EDT
Hm, 2.13.2-3 no longer explicitly runs autoconf at all, was that intentional? 
BuildRequires: autoconf is still there.
Comment 4 Ville Skyttä 2007-10-12 10:53:10 EDT
(Jindrich, see comment 3)
Comment 5 Jindrich Novy 2007-10-12 12:18:01 EDT
Ville, yes, it was intentional. It seems to work just fine without autoconf as
the configure script is sane. I forgot to remove the autoconf BR. Hans wants to
fix other bugs in timidity so I let addition or removal of the autoconf upon his
decision. He can do it altogether with other fixes in the next build.
Comment 6 Hans de Goede 2007-10-13 03:27:47 EDT
Note: fixed in CVS, not building yet as I also want to fix bug 200688 before
building.
Comment 7 Hans de Goede 2007-10-14 15:41:25 EDT
I've just started a build for 2.13.2-4, which fixes this, closing.

Note You need to log in before you can comment on or make changes to this bug.